# Reports: get

> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/search-ads/v2/reference/reports/get#auth).

Polls for the status of a report request.
[Try it now](https://developers.google.com/search-ads/v2/reference/reports/get#try-it).

The response indicates the status of the report:

- If the report is ready for download, the response contains `isReportReady: true`. The response also contains information such as the number of report files.
- If the report is still being worked on, the response contains `isReportReady: false`.
- If DoubleClick Search is unable to complete the report, the response contains the error code **410 Gone** and one of the reasons documented in [Response Codes](https://developers.google.com/search-ads/v2/response-codes).

<br />

## Request

### HTTP request

```
GET https://www.googleapis.com/doubleclicksearch/v2/reports/reportId
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `reportId` | `string` | ID of the report request being polled. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/doubleclicksearch` |

For more information, see the [authentication and authorization](https://developers.google.com/search-ads/v2/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Reports resource](https://developers.google.com/search-ads/v2/reference/reports#resource) in the response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.
Alternatively, try the
[standalone
Explorer](https://developers.google.com/apis-explorer/#p/doubleclicksearch/v2/doubleclicksearch.reports.get).